Package com.collabnet.ce.soap60.webservices.team

# Class TeamAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.team.TeamAppSoapMockStub

All Implemented Interfaces:
  `ITeamAppSoap`

public class TeamAppSoapMockStub extends ClientSoapMockStub implements ITeamAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TeamAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkUserPermission(String projectId, String loggedInUser)`
  Simulate a call to checkUserPermission
  `TeamSoapDO`
  `createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames)`
  Simulate a call to createTeam
  `void`
  `deleteTeam(String sessionId, String teamId)`
  Simulate a call to deleteTeam
  `TeamSoapList`
  `getChildTeamList(String sessionId, String parentTeamId)`
  Simulate a call to getChildTeamList
  `TeamSoapDO`
  `getTeamData(String sessionId, String teamId)`
  Simulate a call to getTeamData
  `TeamSoapList`
  `getTeamListForProject(String sessionId, String projectId)`
  Simulate a call to getTeamListForProject
  `UserSoapList`
  `getTeamMemberList(String sessionId, String teamId)`
  Simulate a call to getTeamMemberList
  `void`
  `prepareCheckUserPermission(String projectId, String loggedInUser)`
  Prepare a simulated response to checkUserPermission
  `void`
  `prepareCheckUserPermission(String projectId, String loggedInUser, Exception exception)`
  Prepare a simulated response to checkUserPermission
  `void`
  `prepareCreateTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames, Object returnValue)`
  Prepare a simulated response to createTeam
  `void`
  `prepareDeleteTeam(String sessionId, String teamId)`
  Prepare a simulated response to deleteTeam
  `void`
  `prepareDeleteTeam(String sessionId, String teamId, Exception exception)`
  Prepare a simulated response to deleteTeam
  `void`
  `prepareGetChildTeamList(String sessionId, String parentTeamId, Object returnValue)`
  Prepare a simulated response to getChildTeamList
  `void`
  `prepareGetTeamData(String sessionId, String teamId, Object returnValue)`
  Prepare a simulated response to getTeamData
  `void`
  `prepareGetTeamListForProject(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getTeamListForProject
  `void`
  `prepareGetTeamMemberList(String sessionId, String teamId, Object returnValue)`
  Prepare a simulated response to getTeamMemberList
  `void`
  `prepareSetTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)`
  Prepare a simulated response to setTeamData
  `void`
  `prepareSetTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version, Exception exception)`
  Prepare a simulated response to setTeamData
  `void`
  `setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)`
  Simulate a call to setTeamData

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TeamAppSoapMockStub

    public TeamAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareCreateTeam

    public void prepareCreateTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames, Object returnValue)
    Prepare a simulated response to createTeam
    See Also:
      - `TeamAppSoap.createTeam(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

  - ### createTeam

    public TeamSoapDO createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames) throws RemoteException
    Simulate a call to createTeam
    Specified by:
      `createTeam` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new team
      `title` - The title of the new team
      `description` - The description of the new team
      `parentTeamId` - The id of the parent team
      `teamOwnerUserName` - The team owner name
      `memberUserNames` - The members of the team
    Returns:
      the team soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidProjectFault` - if invalid project id value was supplied.
      `InvalidTeamFault` - if invalid team id value was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.createTeam(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareSetTeamData

    public void prepareSetTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)
    Prepare a simulated response to setTeamData
    See Also:
      - `TeamAppSoap.setTeamData(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], int)`

  - ### prepareSetTeamData

    public void prepareSetTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version, Exception exception)
    Prepare a simulated response to setTeamData
    See Also:
      - `TeamAppSoap.setTeamData(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], int)`

  - ### setTeamData

    public void setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version) throws RemoteException
    Simulate a call to setTeamData
    Specified by:
      `setTeamData` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team Id.
      `title` - The team title.
      `description` - The team description.
      `teamOwnerUserName` - The team owner user name.
      `memberUserNames` - The member user names.
      `version` - The version number.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidTeamFault` - if invalid team id value was supplied.
      `VersionMismatchFault` - if invalid version number was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.setTeamData(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], int)`

  - ### prepareGetTeamData

    public void prepareGetTeamData(String sessionId, String teamId, Object returnValue)
    Prepare a simulated response to getTeamData
    See Also:
      - `TeamAppSoap.getTeamData(java.lang.String, java.lang.String)`

  - ### getTeamData

    public TeamSoapDO getTeamData(String sessionId, String teamId) throws RemoteException
    Simulate a call to getTeamData
    Specified by:
      `getTeamData` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Returns:
      the team soap object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.getTeamData(java.lang.String, java.lang.String)`

  - ### prepareDeleteTeam

    public void prepareDeleteTeam(String sessionId, String teamId)
    Prepare a simulated response to deleteTeam
    See Also:
      - `TeamAppSoap.deleteTeam(java.lang.String, java.lang.String)`

  - ### prepareDeleteTeam

    public void prepareDeleteTeam(String sessionId, String teamId, Exception exception)
    Prepare a simulated response to deleteTeam
    See Also:
      - `TeamAppSoap.deleteTeam(java.lang.String, java.lang.String)`

  - ### deleteTeam

    public void deleteTeam(String sessionId, String teamId) throws RemoteException
    Simulate a call to deleteTeam
    Specified by:
      `deleteTeam` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `DeleteTeamFault` - if team has child.
      `RemoteException`
    See Also:
      - `TeamAppSoap.deleteTeam(java.lang.String, java.lang.String)`

  - ### prepareGetTeamListForProject

    public void prepareGetTeamListForProject(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getTeamListForProject
    See Also:
      - `TeamAppSoap.getTeamListForProject(java.lang.String, java.lang.String)`

  - ### getTeamListForProject

    public TeamSoapList getTeamListForProject(String sessionId, String projectId) throws RemoteException
    Simulate a call to getTeamListForProject
    Specified by:
      `getTeamListForProject` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new team.
    Returns:
      list of team for project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `InvalidProjectFault` - if invalid project id value was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.getTeamListForProject(java.lang.String, java.lang.String)`

  - ### prepareGetChildTeamList

    public void prepareGetChildTeamList(String sessionId, String parentTeamId, Object returnValue)
    Prepare a simulated response to getChildTeamList
    See Also:
      - `TeamAppSoap.getChildTeamList(java.lang.String, java.lang.String)`

  - ### getChildTeamList

    public TeamSoapList getChildTeamList(String sessionId, String parentTeamId) throws RemoteException
    Simulate a call to getChildTeamList
    Specified by:
      `getChildTeamList` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `parentTeamId` - The parent team id.
    Returns:
      list of child teams for given parent team id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.getChildTeamList(java.lang.String, java.lang.String)`

  - ### prepareGetTeamMemberList

    public void prepareGetTeamMemberList(String sessionId, String teamId, Object returnValue)
    Prepare a simulated response to getTeamMemberList
    See Also:
      - `TeamAppSoap.getTeamMemberList(java.lang.String, java.lang.String)`

  - ### getTeamMemberList

    public UserSoapList getTeamMemberList(String sessionId, String teamId) throws RemoteException
    Simulate a call to getTeamMemberList
    Specified by:
      `getTeamMemberList` in interface `ITeamAppSoap`
    Parameters:
      `sessionId` - User session id.
      `teamId` - The team id.
    Returns:
      list of team members
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system error occurs.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `ObjectAlreadyExistsFault` - if an existing team already exists.
      `IllegalArgumentFault` - if invalid argument value was supplied.
      `RemoteException`
    See Also:
      - `TeamAppSoap.getTeamMemberList(java.lang.String, java.lang.String)`

  - ### prepareCheckUserPermission

    public void prepareCheckUserPermission(String projectId, String loggedInUser)
    Prepare a simulated response to checkUserPermission
    See Also:
      - `TeamAppSoap.checkUserPermission(java.lang.String, java.lang.String)`

  - ### prepareCheckUserPermission

    public void prepareCheckUserPermission(String projectId, String loggedInUser, Exception exception)
    Prepare a simulated response to checkUserPermission
    See Also:
      - `TeamAppSoap.checkUserPermission(java.lang.String, java.lang.String)`

  - ### checkUserPermission

    public void checkUserPermission(String projectId, String loggedInUser) throws RemoteException
    Simulate a call to checkUserPermission
    Throws:
      `RemoteException`
    See Also:
      - `TeamAppSoap.checkUserPermission(java.lang.String, java.lang.String)`